# 3rd-Party Software 
Various Articulate distributions include 3rd-part software.  The following is an attempt to catalog the software and licenses that may be included.

## Hand generated list of software that may be included via Docker

Software|Licenses
--------|--------
**duckling** | [BSD](https://github.com/facebook/duckling/blob/master/LICENSE)
**rasa-nlu** | [apache2](https://github.com/RasaHQ/rasa_nlu/blob/master/LICENSE.txt)
**node.js**  | [joyent](https://github.com/nodejs/node/blob/master/LICENSE)
**debian linux**   | [various](https://www.debian.org/legal/licenses/)
**alpine linux** | [MIT and various](https://github.com/alpinelinux/alpine-wiki/blob/master/LICENSE)


## FOSSA list of 3rd-Party Software for articulate source

The following 3rd-party software components may be used by or distributed with **articulate**.  This document was automatically generated by [FOSSA](http://fossa.io) on 05/23/18; any information relevant to third-party vendors listed below are collected using common, reasonable means.

### Direct Dependencies


Library|Licenses
-------|--------
**[redis (2.8.0)](#redis)**|mit
**[ordinal (1.0.2)](#ordinal)**|**Multi-license:** isc *OR* mit
**[moment-timezone (0.5.16)](#moment-timezone)**|mit
**[moment (2.22.1)](#moment)**|mit
**[lodash (4.17.10)](#lodash)**|**Multi-license:** See-URL *OR* mit
**[json2xml (0.1.3)](#json2xml)**|mit
**[joi (10.6.0)](#joi)**|bsd3
**[inert (4.2.1)](#inert)**|bsd3
**[hapi-swaggered-ui (2.6.2)](#hapi-swaggered-ui)**|mit
**[hapi-swagger (7.10.0)](#hapi-swagger)**|mit
**[hapi (16.6.3)](#hapi)**|bsd3
**[handlebars-intl (1.1.2)](#handlebars-intl)**|bsd3
**[handlebars-helpers (0.10.0)](#handlebars-helpers)**|mit
**[handlebars (4.0.11)](#handlebars)**|mit
**[guid (0.0.12)](#guid)**|**Multi-license:** mit *OR* https://github.com/dandean/guid/raw/master/LICENSE
**[flat (4.0.0)](#flat)**|bsd3
**[elasticsearch (13.3.1)](#elasticsearch)**|apache2
**[dotenv (4.0.0)](#dotenv)**|**Multi-license:** bsd3 *OR* freebsd
**[debug (2.6.9)](#debug)**|mit
**[dashify (0.2.2)](#dashify)**|mit
**[crypto (0.0.3)](#crypto)**|**Multi-license:** bsd3 *OR* freebsd
**[boom (4.3.1)](#boom)**|bsd3
**[axios (0.18.0)](#axios)**|mit
**[async (2.6.0)](#async)**|mit
**[react-linkify (0.2.2)](#react-linkify)**|mit
**[react-materialize (1.0.11)](#react-materialize)**|mit
**[react-redux (4.4.6)](#react-redux)**|mit
**[react-router (3.0.0)](#react-router)**|mit
**[react-router-redux (4.0.6)](#react-router-redux)**|mit
**[react-router-scroll (0.4.1)](#react-router-scroll)**|mit
**[react-s-alert (1.4.1)](#react-s-alert)**|mit
**[react-table (6.8.2)](#react-table)**|mit
**[react-tap-event-plugin (2.0.1)](#react-tap-event-plugin)**|apache2
**[redux (3.6.0)](#redux)**|mit
**[redux-immutable (3.0.8)](#redux-immutable)**|bsd3
**[redux-saga (0.14.0)](#redux-saga)**|mit
**[redux-seamless-immutable (0.4.0)](#redux-seamless-immutable)**|mit
**[reselect (2.5.4)](#reselect)**|mit
**[sanitize.css (4.1.0)](#sanitize.css)**|cc0-1.0
**[seamless-immutable (7.1.3)](#seamless-immutable)**|bsd3
**[styled-components (1.1.2)](#styled-components)**|mit
**[swagger-client (3.8.2)](#swagger-client)**|apache2
**[to-camel-case (1.0.0)](#to-camel-case)**|mit
**[transit-immutable-js (0.7.0)](#transit-immutable-js)**|mit
**[transit-js (0.8.861)](#transit-js)**|apache2
**[warning (3.0.0)](#warning)**|bsd3
**[whatwg-fetch (2.0.1)](#whatwg-fetch)**|mit
**[react-intl (2.1.5)](#react-intl)**|bsd3
**[react-helmet (3.2.2)](#react-helmet)**|mit
**[react-dom (15.4.1)](#react-dom)**|bsd3
**[react-color (2.14.1)](#react-color)**|mit
**[react-chips (0.6.4)](#react-chips)**|**Multi-license:** mit *OR* isc
**[react-ace (5.10.0)](#react-ace)**|mit
**[react (15.4.1)](#react)**|bsd3
**[minimist (1.2.0)](#minimist)**|mit
**[material-ui (0.20.0)](#material-ui)**|mit
**[jquery-ui (1.12.1)](#jquery-ui)**|mit
**[jquery (3.3.1)](#jquery)**|mit
**[ip (1.1.4)](#ip)**|mit
**[invariant (2.2.2)](#invariant)**|bsd3
**[intl (1.2.5)](#intl)**|mit
**[immutable (3.8.1)](#immutable)**|bsd3
**[hammerjs (2.0.8)](#hammerjs)**|mit
**[fontfaceobserver (2.0.7)](#fontfaceobserver)**|**Multi-license:** bsd3 *OR* freebsd
**[express (4.14.0)](#express)**|mit
**[dotenv-webpack (1.5.5)](#dotenv-webpack)**|mit
**[cross-env (3.1.3)](#cross-env)**|mit
**[compression (1.6.2)](#compression)**|mit
**[chalk (1.1.3)](#chalk)**|mit
**[babel-polyfill (6.20.0)](#babel-polyfill)**|mit
**[wreck (12.5.1)](#wreck)**|bsd3
**[vision (4.1.1)](#vision)**|bsd3




### Details


#### **redis (2.8.0)**


* Licenses
    * mit




* Other Licenses





#### **ordinal (1.0.2)**


* Licenses
    * **Multi-license:** isc *OR* mit




* Other Licenses
    * isc





#### **moment-timezone (0.5.16)**


* Licenses
    * mit




* Other Licenses





#### **moment (2.22.1)**


* Licenses
    * mit




* Other Licenses
    * See-URL





#### **lodash (4.17.10)**


* Licenses
    * **Multi-license:** See-URL *OR* mit




* Other Licenses
    * See-URL
    * mit





#### **json2xml (0.1.3)**


* Licenses
    * mit




* Other Licenses





#### **joi (10.6.0)**


* Licenses
    * bsd3




* Other Licenses





#### **inert (4.2.1)**


* Licenses
    * bsd3




* Other Licenses





#### **hapi-swaggered-ui (2.6.2)**


* Licenses
    * mit




* Other Licenses





#### **hapi-swagger (7.10.0)**


* Licenses
    * mit




* Other Licenses
    * **Multi-license:** apache2 *OR* mit *OR* bsd3
    * apache2





#### **hapi (16.6.3)**


* Licenses
    * bsd3




* Other Licenses





#### **handlebars-intl (1.1.2)**


* Licenses
    * bsd3




* Other Licenses
    * mit





#### **handlebars-helpers (0.10.0)**


* Licenses
    * mit




* Other Licenses





#### **handlebars (4.0.11)**


* Licenses
    * mit




* Other Licenses





#### **guid (0.0.12)**


* Licenses
    * **Multi-license:** mit *OR* https://github.com/dandean/guid/raw/master/LICENSE




* Other Licenses





#### **flat (4.0.0)**


* Licenses
    * bsd3




* Other Licenses





#### **elasticsearch (13.3.1)**


* Licenses
    * apache2




* Other Licenses





#### **dotenv (4.0.0)**


* Licenses
    * **Multi-license:** bsd3 *OR* freebsd




* Other Licenses
    * bsd3





#### **debug (2.6.9)**


* Licenses
    * mit




* Other Licenses





#### **dashify (0.2.2)**


* Licenses
    * mit




* Other Licenses





#### **crypto (0.0.3)**


* Licenses
    * **Multi-license:** bsd3 *OR* freebsd




* Other Licenses
    * bsd3





#### **boom (4.3.1)**


* Licenses
    * bsd3




* Other Licenses





#### **axios (0.18.0)**


* Licenses
    * mit




* Other Licenses





#### **async (2.6.0)**


* Licenses
    * mit




* Other Licenses





#### **react-linkify (0.2.2)**


* Licenses
    * mit




* Other Licenses





#### **react-materialize (1.0.11)**


* Licenses
    * mit




* Other Licenses





#### **react-redux (4.4.6)**


* Licenses
    * mit




* Other Licenses
    * bsd3





#### **react-router (3.0.0)**


* Licenses
    * mit




* Other Licenses
    * bsd3





#### **react-router-redux (4.0.6)**


* Licenses
    * mit




* Other Licenses





#### **react-router-scroll (0.4.1)**


* Licenses
    * mit




* Other Licenses





#### **react-s-alert (1.4.1)**


* Licenses
    * mit




* Other Licenses





#### **react-table (6.8.2)**


* Licenses
    * mit




* Other Licenses





#### **react-tap-event-plugin (2.0.1)**


* Licenses
    * apache2




* Other Licenses
    * mit





#### **redux (3.6.0)**


* Licenses
    * mit




* Other Licenses





#### **redux-immutable (3.0.8)**


* Licenses
    * bsd3




* Other Licenses





#### **redux-saga (0.14.0)**


* Licenses
    * mit




* Other Licenses





#### **redux-seamless-immutable (0.4.0)**


* Licenses
    * mit




* Other Licenses





#### **reselect (2.5.4)**


* Licenses
    * mit




* Other Licenses





#### **sanitize.css (4.1.0)**


* Licenses
    * cc0-1.0




* Other Licenses
    * **Multi-license:** Public Domain *OR* cc0-1.0
    * Public Domain





#### **seamless-immutable (7.1.3)**


* Licenses
    * bsd3




* Other Licenses





#### **styled-components (1.1.2)**


* Licenses
    * mit




* Other Licenses
    * bsd3





#### **swagger-client (3.8.2)**


* Licenses
    * apache2




* Other Licenses
    * mit





#### **to-camel-case (1.0.0)**


* Licenses
    * mit




* Other Licenses





#### **transit-immutable-js (0.7.0)**


* Licenses
    * mit




* Other Licenses





#### **transit-js (0.8.861)**


* Licenses
    * apache2




* Other Licenses





#### **warning (3.0.0)**


* Licenses
    * bsd3




* Other Licenses





#### **whatwg-fetch (2.0.1)**


* Licenses
    * mit




* Other Licenses





#### **react-intl (2.1.5)**


* Licenses
    * bsd3




* Other Licenses
    * **Multi-license:** bsd3 *OR* mit





#### **react-helmet (3.2.2)**


* Licenses
    * mit




* Other Licenses





#### **react-dom (15.4.1)**


* Licenses
    * bsd3




* Other Licenses
    * mit
    * apache2
    * UnclassifiedLicense





#### **react-color (2.14.1)**


* Licenses
    * mit




* Other Licenses





#### **react-chips (0.6.4)**


* Licenses
    * **Multi-license:** mit *OR* isc




* Other Licenses
    * mit





#### **react-ace (5.10.0)**


* Licenses
    * mit




* Other Licenses
    * **Multi-license:** bsd3 *OR* mit





#### **react (15.4.1)**


* Licenses
    * bsd3




* Other Licenses
    * UnclassifiedLicense





#### **minimist (1.2.0)**


* Licenses
    * mit




* Other Licenses





#### **material-ui (0.20.0)**


* Licenses
    * mit




* Other Licenses





#### **jquery-ui (1.12.1)**


* Licenses
    * mit




* Other Licenses
    * apache2
    * Dual-license
    * gpl2
    * Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
    * The JSON License
    * php





#### **jquery (3.3.1)**


* Licenses
    * mit




* Other Licenses
    * agpl3





#### **ip (1.1.4)**


* Licenses
    * mit




* Other Licenses
    * See-URL





#### **invariant (2.2.2)**


* Licenses
    * bsd3




* Other Licenses





#### **intl (1.2.5)**


* Licenses
    * mit




* Other Licenses





#### **immutable (3.8.1)**


* Licenses
    * bsd3




* Other Licenses
    * UnclassifiedLicense





#### **hammerjs (2.0.8)**


* Licenses
    * mit




* Other Licenses





#### **fontfaceobserver (2.0.7)**


* Licenses
    * **Multi-license:** bsd3 *OR* freebsd




* Other Licenses
    * bsd3





#### **express (4.14.0)**


* Licenses
    * mit




* Other Licenses





#### **dotenv-webpack (1.5.5)**


* Licenses
    * mit




* Other Licenses





#### **cross-env (3.1.3)**


* Licenses
    * mit




* Other Licenses





#### **compression (1.6.2)**


* Licenses
    * mit




* Other Licenses





#### **chalk (1.1.3)**


* Licenses
    * mit




* Other Licenses





#### **babel-polyfill (6.20.0)**


* Licenses
    * mit




* Other Licenses
    * bsd3





#### **wreck (12.5.1)**


* Licenses
    * bsd3




* Other Licenses





#### **vision (4.1.1)**


* Licenses
    * bsd3




* Other Licenses


