/*
 * AgentPage Messages
 *
 * This contains all the text for the AgentPage component.
 */

import { defineMessages } from 'react-intl';

export default defineMessages({
  title: {
    id: 'app.containers.DialoguePage.title',
    defaultMessage: 'Dialogue',
  },
  sayingsFormTitle: {
    id: 'app.containers.DialoguePage.sayingsFormTitle',
    defaultMessage: 'Sayings',
  },
  help: {
    id: 'app.containers.DialoguePage.help',
    defaultMessage: 'Help?',
  },
  playHelpAlt : {
    id: 'app.containers.DialoguePage.playHelpAlt',
    defaultMessage: 'Play video off how to use dialog features',
  },
  sayingsPlayHelpAlt : {
    id: 'app.containers.DialoguePage.sayingsPlayHelpAlt',
    defaultMessage: 'Play video off how to add/edit the user sayings',
  },
  sayingTextField: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.sayingTextField',
    defaultMessage: 'User Says',
  },
  sayingTextFieldPlaceholder: {
    id: 'app.containers.DialoguePage.component.Form.sayingTextFieldPlaceholder',
    defaultMessage: 'Write what a user would say to your agent',
  },
  searchSayingsAlt: {
    id: 'app.containers.DialoguePage.component.Form.searchSayingsAlt',
    defaultMessage: 'Search user saying',
  },
  searchSayingPlaceholder: {
    id: 'app.containers.DialoguePage.component.Form.searchSayingPlaceholder',
    defaultMessage: 'Search sayings',
  },
  highlightTooltip: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.highlightTooltip',
    defaultMessage: 'Highlight a word to make it a keyword',
  },
  backPage: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.backPage',
    defaultMessage: 'Back',
  },
  nextPage: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.nextPage',
    defaultMessage: 'Next',
  },
  newAction: {
    id: 'app.containers.DialoguePage.component.SayingRow.newAction',
    defaultMessage: '+ New Action',
  },
  noActionsFound: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.noActionsFound',
    defaultMessage: 'No actions found',
  },
  newKeyword: {
    id: 'app.containers.DialoguePage.component.SayingRow.newKeyword',
    defaultMessage: '+ New Keyword',
  },
  categorySelect: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.categorySelect',
    defaultMessage: 'Categories',
  },
  requiredField: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.requiredField',
    defaultMessage: '*Required',
  },
  show: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.show',
    defaultMessage: 'Show',
  },
  entries: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.entries',
    defaultMessage: 'entries',
  },
  categorySelectDefault: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.categorySelectDefault',
    defaultMessage: 'Select',
  },
  categoryNoResults: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.categoryNoResults',
    defaultMessage: 'No Results',
  },
  categoryAdd: {
    id: 'app.containers.DialoguePage.component.SayingDataForm.categoryAdd',
    defaultMessage: '+ Add',
  },
  keywordsFormTitle: {
    id: 'app.containers.DialoguePage.keywordsFormTitle',
    defaultMessage: 'Keywords',
  },
  keywordsPlayHelpAlt : {
    id: 'app.containers.DialoguePage.keywordsPlayHelpAlt',
    defaultMessage: 'Play video off how to add/edit the keywords',
  },
  searchKeywordsAlt: {
    id: 'app.containers.DialoguePage.component.Form.searchKeywordsAlt',
    defaultMessage: 'Search keyword',
  },
  searchKeywordPlaceholder: {
    id: 'app.containers.DialoguePage.component.Form.searchKeywordPlaceholder',
    defaultMessage: 'Search keywords',
  },
  keywordsLabel: {
    id: 'app.containers.DialoguePage.component.KeywordsDataForm.keywordsLabel',
    defaultMessage: 'Keyword List:',
  },
  create: {
    id: 'app.containers.DialoguePage.component.KeywordsDataForm.create',
    defaultMessage: 'Create',
  },
});